Get Organizational Unit
curl --request GET \
--url https://api.twine.se/v1/org/organizational-units/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.twine.se/v1/org/organizational-units/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.twine.se/v1/org/organizational-units/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"org_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"deleted_at": "2021-06-01T12:00:00Z",
"description": "The engineering team",
"email": "[email protected]",
"inserted_at": "2021-06-01T12:00:00Z",
"name": "Engineering",
"parent_id": "018eae56-8f9d-7ca0-bea3-17f3db6cf75b",
"phone": "+46701234567",
"properties": {
"custom_properties": {},
"description": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"email": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"name": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"phone": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"source_external_parent_id": [
{
"valid_from": "2021-06-01",
"value": null
}
],
"tier": [
{
"valid_from": "2021-06-01",
"value": null
}
]
},
"tier": "team",
"updated_at": "2021-06-01T12:00:00Z"
}
}{
"code": 500,
"errors": [],
"message": "Internal Server Error"
}Organizational Units
Get Organizational Unit
deprecated
Deprecated. Use getOrganizationalUnitV2 (GET /v2/org/organizational-units/{id}) instead. This endpoint returns properties wrapped in an internal container that does not match the documented schema; v2 returns the flat shape the schema describes.
GET
/
v1
/
org
/
organizational-units
/
{id}
Get Organizational Unit
Authorizations
Bearer token for authentication
Path Parameters
Twine specific Organizational Unit UUID
Query Parameters
Select fields for OrganizationalUnit
Parameters for OrganizationalUnit field selection. Note: id is always returned.
Available options:
id, org_id, parent_id, updated_at, inserted_at, tier, name, description, properties Response
Response
An OrganizationalUnit
An organizational unit(e.g team, department, division, etc) within an organization
Show child attributes
Show child attributes
⌘I